


#include "simgear/io/sg_socket.hxx"


class FGFSSocket {
private:
	SGSocket*	channel;
	unsigned	timeout;
public:
	init(string name, string port);
	FGFSSocket() { connected = false; channel = NULL; }
	~FGFSSocket() { if(channel)    delete channel; };

	int			write(const char *msg, ...);
	const char 	*read(void);
	void		settimeout(unsigned t) { timeout = t; };
	void		close(void);
	bool		connected;
};


class FMCCom {

private:

	FGFSSocket f;

public:

	FMCCom(void);
	void comBind(void);
	void comDataSet(string property, string value);
	string comDataGet(string property);
	string FMCCom::BatchGet(int count, char *properties[]);

	string comHost;
	string comPort;
	bool comActive;
    int comTimeout;

};
